Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class UTFDataFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.io.UTFDataFormatException

public class UTFDataFormatException
extends IOException

Signals that a malformed UTF-8 string has been read in a data input stream or by any class that implements the data input interface. See the `writeUTF` method for the format in which UTF-8 strings are read and written.

Since:
  JDK1.0
See Also:
  `DataInput`, `DataInputStream.readUTF(java.io.DataInput)`, `IOException`

Constructor Summary
`UTFDataFormatException()` Constructs a `UTFDataFormatException` with `null` as its error detail message.
`UTFDataFormatException(String s)` Constructs a `UTFDataFormatException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UTFDataFormatException

    public UTFDataFormatException()

  Constructs a `UTFDataFormatException` with `null` as its error detail message.

### UTFDataFormatException

    public UTFDataFormatException(String s)

  Constructs a `UTFDataFormatException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.